<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <ProjectType>Local</ProjectType>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{44B34EC9-A749-436F-AC80-37F77BBB3F63}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ApplicationIcon>
    </ApplicationIcon>
    <AssemblyKeyContainerName>
    </AssemblyKeyContainerName>
    <AssemblyName>CommunityServer.Components.SearchBarrel</AssemblyName>
    <AssemblyOriginatorKeyFile>
    </AssemblyOriginatorKeyFile>
    <DefaultClientScript>JScript</DefaultClientScript>
    <DefaultHTMLPageLayout>Grid</DefaultHTMLPageLayout>
    <DefaultTargetSchema>IE50</DefaultTargetSchema>
    <DelaySign>false</DelaySign>
    <OutputType>Library</OutputType>
    <RootNamespace>CommunityServer.Components.SearchBarrel</RootNamespace>
    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
    <StartupObject>
    </StartupObject>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>bin\Debug\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <OutputPath>bin\Release\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>false</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>true</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>none</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="CommunityServer.Files, Version=2.0.60217.2664, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\Framework2\\CommunityServer.Files.dll</HintPath>
    </Reference>
    <Reference Include="System">
      <Name>System</Name>
    </Reference>
    <Reference Include="System.Data">
      <Name>System.Data</Name>
    </Reference>
    <Reference Include="System.Web" />
    <Reference Include="System.Xml">
      <Name>System.XML</Name>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssemblyVersionInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="BarrelItem.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="FileBarrelItem.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="FileSearchJob.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ForumBarrelItem.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ForumsSearchJob.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="GalleryBarrelItem.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="GallerySearchJob.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="SearchBarrelProvider.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="SearchJob.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="WeblogBarrelItem.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="WeblogSearchJob.cs">
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Blogs\CommunityServerBlogs20.csproj">
      <Project>{916891FC-9E73-4B0A-842E-CF1E8585DD03}</Project>
      <Name>CommunityServerBlogs20</Name>
    </ProjectReference>
    <ProjectReference Include="..\Components\CommunityServerComponents20.csproj">
      <Project>{A4BA7D45-2288-4690-9629-2A9C2A59DB98}</Project>
      <Name>CommunityServerComponents20</Name>
    </ProjectReference>
    <ProjectReference Include="..\Controls\CommunityServerControls20.csproj">
      <Project>{BD519F7E-B97F-479B-9A71-254DAB9DAAF6}</Project>
      <Name>CommunityServerControls20</Name>
    </ProjectReference>
    <ProjectReference Include="..\Forums\CommunityServerForums20.csproj">
      <Project>{E682775C-32AF-49D1-BFBF-40E3E14C1D26}</Project>
      <Name>CommunityServerForums20</Name>
    </ProjectReference>
    <ProjectReference Include="..\Galleries\CommunityServerGalleries20.csproj">
      <Project>{B310E00C-2DC4-4ECE-8DC3-14A43D27AE0C}</Project>
      <Name>CommunityServerGalleries20</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
</Project>